#include <gtkmm/application.h>
#include <gtkmm/window.h>
#include <glibmm.h>

#include "BlackWidget.hh"
#include "PageLayout.hh"

int main(int argc, char** argv)
{
  Glib::init();

  Glib::RefPtr<Gtk::Application> app =
    Gtk::Application::create(argc, argv,"");

  Gtk::Window window;
  window.set_default_size(200, 200);
  

  PageLayout layout;
  
  for(int i = 0; i < 5; ++i)
  {
    BlackWidget* widget = new BlackWidget();
    widget->set_size_request(100 + ((22 * i) % 14), 100 + ((17 * i) % 13));
    layout.add(*widget);
  }
  
  /*
  BlackWidget widget;
  
  window.add(widget);
  */
  
  window.add(layout);
  
  window.show_all();

  return app->run(window);
  
  return 0;
}
